Subject: Re: [PATCH] clean up of netif_rx_reschedule() changes in drivers

From: Neil Horman <[email-masked]>
Date: Mon, 29 Dec 2008 10:37:57 -0500

On Mon, Dec 29, 2008 at 09:41:44PM +1100, Stephen Rothwell wrote:
> Hi Kamalesh,
> 
> On Mon, 29 Dec 2008 15:55:29 +0530 Kamalesh Babulal <[email-masked]> wrote:
> >
> > I hit similar build failure due to the change in the netif_rx_reschedule()
> > 
> > drivers/net/ehea/ehea_main.c: In function 'ehea_poll':
> > drivers/net/ehea/ehea_main.c:844: warning: passing argument 1 of 'netif_rx_reschedule' from incompatible pointer type
> > drivers/net/ehea/ehea_main.c:844: error: too many arguments to function 'netif_rx_reschedule'
> > make[3]: *** [drivers/net/ehea/ehea_main.o] Error 1
> 
> Linus already took a patch for ibmveth and ehea.
> 
> > greping through the sources for the changes missed out, we have
> > 
> 	.
> 	.
> > 
> > Signed-off-by: Kamalesh Babulal <[email-masked]>
> > --
> >  drivers/net/arm/ep93xx_eth.c |    2 +-
> >  drivers/net/arm/ixp4xx_eth.c |    2 +-
> >  drivers/net/wan/ixp4xx_hss.c |    2 +-
> >  3 files changed, 3 insertions(+), 3 deletions(-)
> 
> Thanks for the patch, I assume that Dave or Linus will take care of that.
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/

Thanks guys, not sure how my patch missed that.  I did an allmodconfig build
that passed successfully.  Thanks!

Acked-by: Neil Horman <[email-masked]>